#include "client/rendering/Triangle.h"

Triangle::Triangle() {
}

Triangle::Triangle(const Vertex& a, const Vertex& b, const Vertex& c) : a(a), b(b), c(c) {
    Vector3 ac = c.position - a.position;
    Vector3 ab = b.position - a.position;
    normalA = ab.cross(ac);
    normalB = normalA;
    normalC = normalA;
}